#!/bin/bash

# Copyright 2009 Ashley Williams
#
# Licensed under the Apache License, Version 2.0 (the "License"); you
# may not use this file except in compliance with the License. You may
# obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied. See the License for the specific language governing
# permissions and limitations under the License.

ROOT_DIR=`pwd`/..
SCRIPT_NAME=`basename "$0"`

java -jar $ROOT_DIR/lib/protoj.jar \
	"init -rootDir $ROOT_DIR -scriptName $SCRIPT_NAME" \
	"javac -body -opt compileTask.source=1.5 -opt compileTask.memoryMaximumSize=8m -opt dirSet.includes=acme/core" \
	"java -body -opt javaTask.classname=acme.core.AcmeCore -opt javaTask.maxmemory=1k" \
	"$@"
