/**
 * Copyright 2009 Ashley Williams
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you
 * may not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package acme;

import org.apache.tools.ant.taskdefs.Jar;

/**
 * Simple aspect used to trace the protoj assembly calls. The AcmeProject test
 * ensures that the output can be found in the log file. And because the advice
 * is targeted at a class in another library, this would confirm that runtime
 * weaving is working, as opposed to compile time weaving
 * 
 * @author Ashley Williams
 * 
 */
public final aspect AssemblyTrace {
	public static final String ASPECT_TEST_TEXT = "before advice triggered at StandardProject.assemble execution join point";

	before() : execution(Jar.new(..)) {
		System.out.println(ASPECT_TEST_TEXT);
	}
}
