package org.ajc.system;

import java.io.File;

import org.ajc.core.AjcCore;

import protoj.lang.StandardProject;

// AjcCore compiles and invokes this main class.
public final class AjcProject {
	public static void main(String[] args) {
		AjcCore core = new AjcCore(args);
		StandardProject project = core.getProject();

		// the specified amount of memory can be allocated by junit
		project.initJunit("16m");

		// the specified project archives can be created
		project.getArchiveFeature().initProjectArchive("ajc", "ajc");
		project.getArchiveFeature().addClasses("ajc");
		project.getArchiveFeature().addSources("ajc");
		project.getArchiveFeature().addJavadoc("ajc", "16m");
		project.getCommandStore().addCommand("hello-ajc", "16m",
				new Runnable() {
					public void run() {
						System.out.println("hello from this sample project!");
					}
				}).initHelpString("writes to the console");

		// an additional project specific command
		project.getDispatchFeature().dispatchCommands();
	}

	public void unusedMethod() {
		// the SoftException aspect should ensure no throws clause is needed and
		// therefore compile time weaving is working
		new File(".").getCanonicalPath();
	}
}
